Loading...
Searching...
No Matches
matrix.h File Reference

Matrix struct and related functions. More...

`#include "math/const.h"`
`#include "math/func.h"`
`#include "math/vector.h"`
`#include <cmath>`
`#include <cassert>`
Include dependency graph for matrix.h:

## Classes

struct | Math::Matrix
| 4x4 matrix More...

## Namespaces

namespace | Math
| Namespace for (new) math code.

## Functions

bool | Math::MatricesEqual (const Matrix &m1, const Matrix &m2, float tolerance=TOLERANCE)
| Checks if two matrices are equal within given tolerance.
Math::Matrix | Math::Transpose (const Math::Matrix &m)
| Convenience function for getting transposed matrix.
Math::Matrix | Math::MultiplyMatrices (const Math::Matrix &left, const Math::Matrix &right)
| Convenience function for multiplying a matrix.
Math::Vector | Math::MatrixVectorMultiply (const Math::Matrix &m, const Math::Vector &v, bool wDivide=false)
| Calculates the result of multiplying m * v.

## Detailed Description

Matrix struct and related functions.